# Copyright 2015-2017 Mattia Basaglia
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_melano_lib(melano_stringutils stringutils.cpp language.cpp format.cpp text_generator.cpp encoding.cpp)


find_package(Iconv QUIET)
if(Iconv_FOUND)
    add_definitions(-DHAS_ICONV)
    target_link_libraries(melano_stringutils ${Iconv_LIBRARY})
    include_directories (${Iconv_INCLUDE_DIR})
endif()
